org.springframework.web.socket.adapter.standard

## Class StandardWebSocketHandlerAdapter

- java.lang.Object
- - javax.websocket.Endpoint
  - - org.springframework.web.socket.adapter.standard.StandardWebSocketHandlerAdapter

    public class StandardWebSocketHandlerAdapter
    extends Endpoint

Adapts a `WebSocketHandler` to the standard WebSocket for Java API.

Since:
  4.0
Author:
  Rossen Stoyanchev

### Constructor Summary

Constructors
Constructor and Description
`StandardWebSocketHandlerAdapter(WebSocketHandler handler, StandardWebSocketSession wsSession)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onClose(Session session, CloseReason reason)`
`void` `onError(Session session, Throwable exception)`
`void` `onOpen(Session session, EndpointConfig config)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StandardWebSocketHandlerAdapter

    public StandardWebSocketHandlerAdapter(WebSocketHandler handler,
                                           StandardWebSocketSession wsSession)

### Method Detail

#### onOpen

    public void onOpen(Session session,
                       EndpointConfig config)

Specified by:
  `onOpen` in class `Endpoint`

#### onClose

    public void onClose(Session session,
                        CloseReason reason)

Overrides:
  `onClose` in class `Endpoint`

#### onError

    public void onError(Session session,
                        Throwable exception)

Overrides:
  `onError` in class `Endpoint`